"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchInputWidget = void 0;
const tslib_1 = require("tslib");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const react_1 = tslib_1.__importStar(require("react"));
const ide_components_1 = require("@opensumi/ide-components");
const icon_1 = require("@opensumi/ide-core-browser/lib/style/icon/icon");
const localize_1 = require("@opensumi/ide-core-common/lib/localize");
const search_module_less_1 = tslib_1.__importDefault(require("./search.module.less"));
const SearchRuleCheckout = (0, react_1.memo)(({ isDetailOpen, onDetailToggle }) => (react_1.default.createElement("p", { className: search_module_less_1.default.search_input_title },
    react_1.default.createElement("span", { className: search_module_less_1.default.search_title }, (0, localize_1.localize)('search.input.title')),
    react_1.default.createElement(ide_components_1.CheckBox, { className: (0, classnames_1.default)(search_module_less_1.default.checkbox), label: (0, localize_1.localize)('search.input.checkbox'), checked: isDetailOpen, id: 'search-input', onChange: onDetailToggle }))), (prevProps, nextProps) => prevProps.isDetailOpen === nextProps.isDetailOpen);
function isSearchInputPropsEqual(prevProps, nextProps) {
    return (prevProps.isDetailOpen === nextProps.isDetailOpen &&
        prevProps.isMatchCase === nextProps.isMatchCase &&
        prevProps.isWholeWord === nextProps.isWholeWord &&
        prevProps.isRegex === nextProps.isRegex &&
        prevProps.searchValue === nextProps.searchValue &&
        prevProps.isShowValidateMessage === nextProps.isShowValidateMessage &&
        prevProps.validateMessage === nextProps.validateMessage);
}
exports.SearchInputWidget = (0, react_1.memo)((0, react_1.forwardRef)(({ isDetailOpen, onDetailToggle, onSearchFocus, onSearchBlur, isMatchCase, onMatchCaseToggle, isWholeWord, onWholeWordToggle, isRegex, onRegexToggle, searchValue, onSearch, onSearchInputChange, isShowValidateMessage, validateMessage, }, ref) => (react_1.default.createElement("div", { className: search_module_less_1.default.search_and_replace_container },
    react_1.default.createElement("div", { className: search_module_less_1.default.search_and_replace_fields },
        react_1.default.createElement("div", { className: search_module_less_1.default.search_field_container },
            react_1.default.createElement(SearchRuleCheckout, { isDetailOpen: isDetailOpen, onDetailToggle: onDetailToggle }),
            react_1.default.createElement("div", { className: search_module_less_1.default.search_field },
                react_1.default.createElement(ide_components_1.ValidateInput, { id: 'search-input-field', title: (0, localize_1.localize)('search.input.placeholder'), type: 'text', value: searchValue, placeholder: (0, localize_1.localize)('search.input.title'), onFocus: onSearchFocus, onBlur: onSearchBlur, onKeyUp: onSearch, onChange: onSearchInputChange, ref: ref, validateMessage: isShowValidateMessage ? validateMessage : undefined, addonAfter: [
                        react_1.default.createElement("span", { key: (0, localize_1.localize)('search.caseDescription'), className: (0, classnames_1.default)((0, icon_1.getIcon)('ab'), search_module_less_1.default['match-case'], search_module_less_1.default.search_option, {
                                [search_module_less_1.default.select]: isMatchCase,
                            }), title: (0, localize_1.localize)('search.caseDescription'), onClick: onMatchCaseToggle }),
                        react_1.default.createElement("span", { key: (0, localize_1.localize)('search.wordsDescription'), className: (0, classnames_1.default)((0, icon_1.getIcon)('abl'), search_module_less_1.default['whole-word'], search_module_less_1.default.search_option, {
                                [search_module_less_1.default.select]: isWholeWord,
                            }), title: (0, localize_1.localize)('search.wordsDescription'), onClick: onWholeWordToggle }),
                        react_1.default.createElement("span", { key: (0, localize_1.localize)('search.regexDescription'), className: (0, classnames_1.default)((0, icon_1.getIcon)('regex'), search_module_less_1.default['use-regexp'], search_module_less_1.default.search_option, {
                                [search_module_less_1.default.select]: isRegex,
                            }), title: (0, localize_1.localize)('search.regexDescription'), onClick: onRegexToggle }),
                    ] }))))))), isSearchInputPropsEqual);
//# sourceMappingURL=search.input.widget.js.map